
#ifndef DS1820_H
#define DS1820_H

//======================================================================================================================
// Includes
//----------------------------------------------------------------------------------------------------------------------
#include <avr/io.h>


//======================================================================================================================
// Constants
//----------------------------------------------------------------------------------------------------------------------
// Get temperature return error codes.
#define DS18B20_ERR_OK           0
#define DS18B20_ERR_PENDING      1
#define DS18B20_ERR_INVALID_CRC  2


//======================================================================================================================
// Function Prototypes
//----------------------------------------------------------------------------------------------------------------------
void ds18b20_init(void);
void ds18b20_startConversion(void);
uint8_t ds18b20_getTemp(int16_t *);

#endif /* DS1820_H */
